## lemonldap-ng 1.0.1

=== Makefile ===
#!/usr/bin/make

# Prefix for packaging
DESTDIR=

PERL=$$(which perl)
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Default directories install
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
# BIN dirs
BINDIR=$(LMPREFIX)/bin
RBINDIR=$(DESTDIR)/$(BINDIR)
DATADIR=$(LMPREFIX)/data
RDATADIR=$(DESTDIR)/$(DATADIR)

EXAMPLEROOT=`pwd`/example

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
PORTALSKINSDIR=$(PORTALDIR)/skins
RPORTALSKINSDIR=$(DESTDIR)/$(PORTALSKINSDIR)
MANAGERDIR=$(DOCUMENTROOT)/manager
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
MANAGERSKINSDIR=$(MANAGERDIR)/skins
RMANAGERSKINSDIR=$(DESTDIR)/$(MANAGERSKINSDIR)
SESSIONSEXPLORERDIR=$(MANAGERDIR)
RSESSIONSEXPLORERDIR=$(DESTDIR)/$(SESSIONSEXPLORERDIR)
DOCDIR=$(DOCUMENTROOT)/doc
RDOCDIR=$(DESTDIR)/$(DOCDIR)
TESTDIR=$(DOCUMENTROOT)/test
RTESTDIR=$(DESTDIR)/$(TESTDIR)
EXAMPLESDIR=$(LMPREFIX)/examples
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
TOOLSDIR=$(LMPREFIX)/tools
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
RCONFDIR=$(DESTDIR)/$(CONFDIR)
CRONDIR=$(LMPREFIX)/etc/cron.d
RCRONDIR=$(DESTDIR)/$(CRONDIR)
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# Lemonldap-ng configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)

# Apache::Session::File storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)

# Apache user/group
APACHEUSER=
APACHEGROUP=

# Apache version
APACHEVERSION=2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# LDAP parameters
LDAPHOST=localhost
LDAPPORT=389
LDAPSUFFIX=dc=example,dc=com

# Virtual Host Listen IP and Port (*, *:80, ...)
VHOSTLISTEN=*:80

# Other
VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls lemonldap-ng-portal/example/skins/`
MANAGERSKINS=`ls lemonldap-ng-manager/example/skins/`
DIFF=diff -aburN -x '*.bak' -x .svn -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'

SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
EXAMPLELANG=en # For static Manager example only
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

DIFFPREFIX=

all:	configure common handler manager portal
	@echo
	@echo "Building succeed. Now run :"
	@echo " - make test to verify your installation"
	@echo " - make install to install all"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo " * Doxygen documentation"
	@echo "   - doxygen (to build Doxygen documentation in doc/devel/)"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs          (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin           ($(BINDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site          (all sites including install_doc_site)"
	@echo "   - install_portal_site   ($(PORTALDIR))"
	@echo "   - install_manager_site  ($(MANAGERDIR))"
	@echo "   - install_handler_site  ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site      ($(DOCDIR))"
	@echo "   - install_examples_site ($(EXAMPLESDIR))"
	@echo

#
# Perl libraries configuration
#

configure:	common_conf handler_conf portal_conf manager_conf

common_conf:
	@cd ${SRCCOMMONDIR}; LMNGCONFFILE=$(STORAGECONFFILE) $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch common_conf

handler_conf:
	@cd ${SRCHANDLERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch handler_conf

portal_conf:
	@cd ${SRCPORTALDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch portal_conf

manager_conf:
	@cd ${SRCMANAGERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch manager_conf

#
# Perl libraries make
#
common:		common_conf
	@$(MAKE) -C ${SRCCOMMONDIR}
	@touch common

handler:	handler_conf
	@$(MAKE) -C ${SRCHANDLERDIR}
	@touch handler

portal:		portal_conf
	@$(MAKE) -C ${SRCPORTALDIR}
	@touch portal

manager:	manager_conf
	@$(MAKE) -C ${SRCMANAGERDIR}
	@touch manager

test:		all common_test handler_test portal_test manager_test extra_test

common_test:	common
	@$(MAKE) -C ${SRCCOMMONDIR} test

handler_test:	handler common_test
	@$(MAKE) -C ${SRCHANDLERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/"

portal_test:	portal handler_test common_test
	@$(MAKE) -C ${SRCPORTALDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

manager_test:	manager handler_test common_test
	@$(MAKE) -C ${SRCMANAGERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

extra_test:	all
	PERL_DL_NONLAZY=1 $(PERL) "-MExtUtils::Command::MM" "-e" "test_harness(0, 'lemonldap-ng-common/blib/lib', 'lemonldap-ng-handler/blib/lib', 'lemonldap-ng-manager/blib/lib', 'lemonldap-ng-portal/blib/lib')" extra-tests/*.t

#
# INSTALL
#
install:	install_libs install_bin install_site

#
# Perl libraires install
#
install_libs:	common_install_libs install_handler_libs install_portal_libs install_manager_libs

common_install_libs:		common
	@$(MAKE) -C ${SRCCOMMONDIR} install

install_handler_libs:	handler
	@$(MAKE) -C ${SRCHANDLERDIR} install

install_portal_libs:		portal
	@$(MAKE) -C ${SRCPORTALDIR} install

install_manager_libs:	manager
	@$(MAKE) -C ${SRCMANAGERDIR} install

example:
	$(MAKE) install_site install_bin LMPREFIX=$(EXAMPLEROOT)

install_bin:	install_conf_dir
	# Binary install
	@install -v -d $(RBINDIR)
	@cp --preserve=mode --remove-destination \
		${SRCHANDLERDIR}/example/scripts/purgeLocalCache \
		${SRCPORTALDIR}/example/scripts/purgeCentralCache \
		${SRCPORTALDIR}/example/scripts/buildPortalWSDL \
		${SRCCOMMONDIR}/scripts/convertConfig \
		${SRCCOMMONDIR}/scripts/lmMigrateConfFiles2ini \
		${SRCMANAGERDIR}/example/scripts/lmConfigEditor \
			$(RBINDIR)
	@if [ ! "$(APACHEUSER)" ]; then \
		$(PERL) -i -pe 's#__APACHEUSER__#nobody#g;' $(RBINDIR)/lmConfigEditor; \
	else \
		$(PERL) -i -pe 's#__APACHEUSER__#$(APACHEUSER)#g;' $(RBINDIR)/lmConfigEditor; \
	fi
	@if [ ! "$(APACHEGROUP)" ]; then \
		$(PERL) -i -pe 's#__APACHEGROUP__#nobody#g;' $(RBINDIR)/lmConfigEditor; \
	else \
		$(PERL) -i -pe 's#__APACHEGROUP__#$(APACHEGROUP)#g;' $(RBINDIR)/lmConfigEditor; \
	fi
	@chmod +x $(RBINDIR)/*

#
# SITE INSTALL
#
install_site:	install_manager_site install_portal_site install_handler_site install_test_site install_examples_site install_doc_site
	# Site install
	@install -v -d $(RCONFDIR)
	# Check if erase is wanted
	@if [ "$(ERASECONFIG)" -eq "1" ]; then \
		cp --remove-destination _example/etc/portal-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/handler-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/manager-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR); \
	fi
	@$(PERL) -i -pe 's#__HANDLER__#${HANDLERDIR}/MyHandler.pm#; \
			s/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
			s#__PORTALDIR__#$(PORTALDIR)/#g; \
			s#__MANAGERDIR__#$(MANAGERDIR)/#g; \
			s#__TESTDIR__#$(TESTDIR)/#g; \
			s#__VHOSTLISTEN__#$(VHOSTLISTEN)#g; \
			s#__DOCDIR__#$(DOCDIR)/#g;' $(RCONFDIR)/*apache*.conf
	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/for_etc_hosts
	# Fix a lost of rights on the main directory
	@chmod 755 $(RBINDIR) $(RDOCUMENTROOT) $(REXAMPLESDIR) $(RHANDLERDIR) $(RPORTALSKINSDIR) $(RMANAGERSKINSDIR) $(RTOOLSDIR) $(RCONFDIR) $(RDATADIR)
	@echo
	@echo "LemonLDAP::NG v${VERSION} is installed with these parameters:"
	@echo "  - System configuration: ${CONFDIR}"
	@echo "  - DNS domain (for cookies and virtual hosts): ${DNSDOMAIN}"
	@echo "  - LDAP parameters:"
	@echo "    - Host: ${LDAPHOST}"
	@echo "    - Port: ${LDAPPORT}"
	@echo "    - Suffix: ${LDAPSUFFIX}"
	@echo
	@echo "To finish configuration:"
	@echo
	@echo "1 - Add this in your Apache $(APACHEVERSION) configuration file:"
	@echo "      include ${CONFDIR}/portal-apache$(APACHEVERSION).conf"
	@echo "      include ${CONFDIR}/handler-apache$(APACHEVERSION).conf"
	@echo "      include ${CONFDIR}/manager-apache$(APACHEVERSION).conf"
	@echo
	@echo "2 - Restart Apache:"
	@echo "      apache$(APACHEVERSION)ctl restart"
	@echo
	@echo "3 - Run 'make postconf' as root to update /etc/hosts if your DNS service does not known auth.$(DNSDOMAIN) and manager.$(DNSDOMAIN)"
	@echo
	@echo "4 - Use the manager from localhost at http://manager.${DNSDOMAIN}/ (after Apache restart) to modify LemonLDAP::NG configuration."
	@echo "      Warning: If you access http://manager.${DNSDOMAIN}/ from other host, modify first Apache Manager configuration to allow access from non local address."
	@echo
	@echo "5 - Try to connect to http://test1.${DNSDOMAIN}/ or http://test2.${DNSDOMAIN}/"
	@if [ ! "$(APACHEUSER)" ]; then \
		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR) and $(CONFDIR) have permissive permissions."; \
		echo "    Fix them by yourself to restrict their view to apache process only"; \
	fi
	@echo

install_manager_site:	install_conf_dir
	# Manager install
	@install -v -d ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
		${RSESSIONSEXPLORERDIR} \
		$(RCONFDIR) ${RMANAGERDIR}/skins/
	@for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
		[ -h $(RMANAGERDIR)/skins/$$skin ] && rm -f $(RMANAGERDIR)/skins/$$skin; \
		install -v -d $(RMANAGERSKINSDIR)/$$skin; \
	done
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/index.pl ${RMANAGERDIR}
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notfound.html ${RMANAGERDIR}
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/skins/* $(RMANAGERSKINSDIR)
	@if [ "$(MANAGERDIR)/skins/" != "$(MANAGERSKINSDIR)/" ]; then \
		for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
			rm -rf $(RMANAGERDIR)/skins/$$skin/; \
			ln -s $(MANAGERSKINSDIR)/$$skin $(RMANAGERDIR)/skins/$$skin; \
		done; \
	fi
	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/$(CONFFILENAME)
	# Sessions explorer install
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/sessions.pl $(RSESSIONSEXPLORERDIR)
	@rm -rf $$(find ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
		${RSESSIONSEXPLORERDIR} \
		$(RCONFDIR) -type d -name .svn)

install_portal_site:	install_conf_dir
	# Portal install
	@install -v -d $(RPORTALDIR) $(RPORTALSKINSDIR) \
		$(RPORTALDIR)/skins/ \
		$(RCRONDIR) $(RCONFDIR)
	@for skin in $$(ls lemonldap-ng-portal/example/skins/); do \
		[ -h $(RPORTALDIR)/skins/$$skin ] && rm -f $(RPORTALDIR)/skins/$$skin; \
		install -v -d $(RPORTALSKINSDIR)/$$skin; \
	done
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/index_skin.pl ${RPORTALDIR}/index.pl
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/mail.pl ${RPORTALDIR}
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/metadata.pl ${RPORTALDIR}
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/cdc.pl ${RPORTALDIR}
	@tar -cf - -C ${SRCPORTALDIR}/example/skins/ $$(ls ${SRCPORTALDIR}/example/skins/) |tar -xf - -C $(RPORTALSKINSDIR)
	@if [ "$(PORTALDIR)/skins/" != "$(PORTALSKINSDIR)/" ]; then \
		for skin in $$(ls lemonldap-ng-portal/example/skins/); do \
			rm -rf $(RPORTALDIR)/skins/$$skin/; \
			ln -s $(PORTALSKINSDIR)/$$skin $(RPORTALDIR)/skins/$$skin; \
		done; \
	fi
	# Cron files
	@cp --remove-destination lemonldap-ng-portal/example/scripts/purgeCentralCache.cron.d $(RCRONDIR)/lemonldap-ng-portal
	@if [ ! "$(APACHEUSER)" ]; then \

=== debian/changelog ===
lemonldap-ng (1.0.1-1ubuntu1) natty; urgency=low

  * Add libhtml-template-perl and libxml-simple-perl to Build-Depends-Indep
    (needed by test suite) (Closes: #608878).

 -- Michael Bienia <geser@ubuntu.com>  Tue, 04 Jan 2011 16:28:25 +0100

lemonldap-ng (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Debian po update:
    * ru translation (Closes:#606366)
    * cz translation (Closes:#606435)

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 17 Dec 2010 21:32:33 +0100

lemonldap-ng (1.0-2) unstable; urgency=low

  * Debian po update:
    * pt translation (Closes: #605917)
    * de translation (Closes: #605936)
    * Minor language improvement (Closes: #605937)

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 05 Dec 2010 08:16:08 +0100

lemonldap-ng (1.0-1) unstable; urgency=low

  * New upstream release

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 01 Dec 2010 14:55:09 +0100

=== debian/control ===
Source: lemonldap-ng
Section: perl
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Xavier Guimard <x.guimard@free.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), po-debconf
Build-Depends-Indep:libapache-session-perl, libnet-ldap-perl (>=1:0.38),
 libdbi-perl, libwww-perl, libcache-cache-perl, libcrypt-rijndael-perl,
 libxml-libxslt-perl, libio-string-perl, libregexp-assemble-perl, liburi-perl,
 libstring-random-perl, libmime-lite-perl, libsoap-lite-perl,
 libconfig-inifiles-perl, libcrypt-openssl-x509-perl, libcrypt-openssl-rsa-perl,
 libhtml-template-perl, libxml-simple-perl
Standards-Version: 3.9.1
Homepage: http://lemonldap-ng.org/

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends}, liblemonldap-ng-handler-perl (= ${binary:Version}),
 liblemonldap-ng-manager-perl (= ${binary:Version}),
 liblemonldap-ng-portal-perl (= ${binary:Version})
Description: Lemonldap::NG Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers.
 .
 This package contains html documentation.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends}, libapache-session-perl, libwww-perl,
 liblemonldap-ng-conf-perl (= ${binary:Version}),
 libapache2-mod-perl2, liburi-perl
Recommends: libdbi-perl
Suggests: liblemonldap-ng-portal-perl, libsoap-lite-perl
Description: Lemonldap::NG Apache module part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers.
 .
 This package installs the Apache module part (handler) used to protect web
 areas.

Package: liblemonldap-ng-conf-perl
Architecture: all
Depends: ${misc:Depends}, debconf, libcache-cache-perl, libregexp-assemble-perl,
 libcrypt-rijndael-perl, libconfig-inifiles-perl, libxml-simple-perl
Recommends: libsoap-lite-perl, libdbi-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers.
 .
 This package installs common files used by other Lemonldap::NG modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
 liblemonldap-ng-conf-perl (= ${binary:Version}),
 liblemonldap-ng-handler-perl (= ${binary:Version}),
 libjs-jquery, libjs-jquery-ui, libhtml-template-perl,
 libxml-libxml-perl, libxml-libxslt-perl,
 libcrypt-openssl-rsa-perl, libcrypt-openssl-x509-perl, libxml-simple-perl,
 libjson-perl
Pre-Depends: debconf
Recommends: libapache-session-perl, libsoap-lite-perl,
 lemonldap-ng-doc (= ${binary:Version})
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers.
 .
 This package installs the administration interface (manager).

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
 liblemonldap-ng-conf-perl (= ${binary:Version}),
 libjs-jquery, libjs-jquery-ui, libhtml-template-perl,
 libapache-session-perl, libnet-ldap-perl (>=1:0.38),
 libxml-libxml-perl, libxml-libxslt-perl, libstring-random-perl,
 libsoap-lite-perl, libcrypt-openssl-x509-perl
Pre-Depends: debconf
Recommends: libmime-lite-perl, libemail-date-format-perl, libconvert-pem-perl,
 libnet-openid-consumer-perl | libnet-openid-server-perl |
 liblasso3-perl (>=2.3.0) | libnet-twitter-perl
Suggests: slapd, libnet-twitter-perl, libnet-openid-consumer-perl,
 libnet-openid-server-perl, liblasso3-perl (>=2.3.0),
 liblemonldap-ng-handler-perl (= ${binary:Version}),
Description: Lemonldap::NG authentication portal part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers.
 .
 This package installs the authentication portal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_MM_USE_DEFAULT=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR=/var/lib/lemonldap-ng

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			PERLOPTIONS="INSTALLDIRS=vendor"

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	debconf-updatepo
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/lemonldap-ng.
	$(MAKE) test
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr/ \
			LMPREFIX=/usr/share/lemonldap-ng/ \
			BINDIR=$(LMSHAREDIR)/bin/ \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples/ \
			HANDLERDIR=$(LMVARDIR)/handler/ \
			PORTALSKINSDIR=$(LMSHAREDIR)/portal-skins/ \
			MANAGERSKINSDIR=$(LMSHAREDIR)/manager-skins/ \
			SESSIONSEXPLORERDATADIR=$(LMSHAREDIR)/sessions-explorer-imgs/ \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources/ \
			CONFDIR=/etc/lemonldap-ng/ \
			CRONDIR=/etc/cron.d/ \
			DATADIR=$(LMVARDIR) \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DOCDIR=/usr/share/doc/lemonldap-ng-doc

	# Since Lenny, jquery.js is provided by libjs-jquery
	find $(CURDIR)/debian/tmp -type f -regex '.*/jquery-[0-9].*\.js' -delete
	find $(CURDIR)/debian/tmp -type f -name jquery.js -delete
	rm -f $(CURDIR)/debian/tmp$(LMSHAREDIR)/*-skins/*/jquery.js

	# TODO: uncomment this when Debian jquery-ui version will be upgraded to 1.8.6
	#find $(CURDIR)/debian/tmp -type f -regex '.*/jquery-ui-[0-9].*\.js' -delete
	#find $(CURDIR)/debian/tmp -type f -name jquery-ui.js -delete
	#rm -f $(CURDIR)/debian/tmp$(LMSHAREDIR)/*-skins/*/jquery-ui.js
	# TODO: restore this in Perl (with final \ )
	#	s#src=(["'"'"']).*?jquery-ui(-\d[\.\w\-]*?)?.js#src=$$1/javascript/jquery-ui/jquery-ui.min.js#i;'
	perl -i -pe 's#src=(["'"'"']).*?jquery(-\d[\.\w\-]*?)?.js#src=$$1/javascript/jquery/jquery.min.js#i;' \
		$$(find $(CURDIR)/debian/tmp/examples/manager/ -name *.pl -type f) \
		$$(find	$(CURDIR)/debian/tmp$(LMSHAREDIR)/manager-skins/*/ \
			$(CURDIR)/debian/tmp$(LMSHAREDIR)/portal-skins/*/ -type f -name *.tpl)

	# TODO: uncomment this for official releases
	test -n "$$LOCALBUILD" || ./scripts/minifierjs $$(find debian/tmp/ -name '*.js')
	test -n "$$LOCALBUILD" || ./scripts/minifiercss $$(find debian/tmp/ -name '*.css')

	# Move perl scripts in /usr/share, links are created by *.postinst scripts
	mkdir debian/tmp/usr/share/lemonldap-ng/manager debian/tmp/usr/share/lemonldap-ng/portal
	mv debian/tmp/var/lib/lemonldap-ng/portal/*.pl debian/tmp/usr/share/lemonldap-ng/portal/
	mv debian/tmp/var/lib/lemonldap-ng/manager/*pl debian/tmp/usr/share/lemonldap-ng/manager/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
	dh_install
	mkdir -p debian/lemonldap-ng/usr/share/doc/lemonldap-ng/examples && \
		cd debian/lemonldap-ng/usr/share/doc/lemonldap-ng/examples && \
		ln -s ../../liblemonldap-ng-handler-perl/examples handler && \
		ln -s ../../liblemonldap-ng-manager-perl/examples manager && \
		ln -s ../../liblemonldap-ng-portal-perl/examples portal
	chmod +x debian/liblemonldap-ng-portal-perl$(LMSHAREDIR)/bin/purgeCentralCache
	chmod +x debian/liblemonldap-ng-handler-perl$(LMSHAREDIR)/bin/purgeLocalCache
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pm -X.pl
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lemonldap-ng 1.0.4

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
 PORTALSKINS=`ls lemonldap-ng-portal/example/skins/`
 MANAGERSKINS=`ls lemonldap-ng-manager/example/skins/`
-DIFF=diff -aburN -x '*.bak' -x .svn -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
+DIFF=diff -aurN -x '*.bak' -x .svn -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
 
 SRCCOMMONDIR=lemonldap-ng-common
 SRCHANDLERDIR=lemonldap-ng-handler

=== debian/changelog ===
lemonldap-ng (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Debian po update:
    * es translation update (Closes: #607735)
    * sv translation update (Closes: #608785)
    * sk translation update (Closes: #619264)
  * Missing build dependencies (libhtml-template-perl and libxml-simple-perl)
    (Closes: #608878)

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 26 Mar 2011 09:56:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lemonldap-ng
 Section: perl
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Xavier Guimard <x.guimard@free.fr>
+Maintainer: Xavier Guimard <x.guimard@free.fr>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7), po-debconf
 Build-Depends-Indep:libapache-session-perl, libnet-ldap-perl (>=1:0.38),
@@ -65,7 +64,7 @@
 Depends: ${misc:Depends},
  liblemonldap-ng-conf-perl (= ${binary:Version}),
  liblemonldap-ng-handler-perl (= ${binary:Version}),
- libjs-jquery, libjs-jquery-ui, libhtml-template-perl,
+ libjs-jquery (>=1.4.2), libjs-jquery-ui, libhtml-template-perl,
  libxml-libxml-perl, libxml-libxslt-perl,
  libcrypt-openssl-rsa-perl, libcrypt-openssl-x509-perl, libxml-simple-perl,
  libjson-perl
@@ -82,8 +81,8 @@
 Architecture: all
 Depends: ${misc:Depends},
  liblemonldap-ng-conf-perl (= ${binary:Version}),
- libjs-jquery, libjs-jquery-ui, libhtml-template-perl,
- libapache-session-perl, libnet-ldap-perl (>=1:0.38),
+ libjs-jquery (>=1.4.2), libjs-jquery-ui, libhtml-template-perl,
+ libapache-session-perl, libnet-ldap-perl,
  libxml-libxml-perl, libxml-libxslt-perl, libstring-random-perl,
  libsoap-lite-perl, libcrypt-openssl-x509-perl
 Pre-Depends: debconf
@@ -92,7 +91,7 @@
  liblasso3-perl (>=2.3.0) | libnet-twitter-perl
 Suggests: slapd, libnet-twitter-perl, libnet-openid-consumer-perl,
  libnet-openid-server-perl, liblasso3-perl (>=2.3.0),
- liblemonldap-ng-handler-perl (= ${binary:Version}),
+ liblemonldap-ng-handler-perl (= ${binary:Version}), libnet-ldap-perl (>=1:0.38)
 Description: Lemonldap::NG authentication portal part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application Apache servers.

## lemonldap-ng 1.1.0

=== debian/changelog ===
lemonldap-ng (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Debian po update:
    * fi translation (Closes: #619752)
    * ja translation update (Closes: #624829)

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 09 Jul 2011 09:12:21 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  libxml-libxslt-perl, libio-string-perl, libregexp-assemble-perl, liburi-perl,
  libstring-random-perl, libmime-lite-perl, libsoap-lite-perl,
  libconfig-inifiles-perl, libcrypt-openssl-x509-perl, libcrypt-openssl-rsa-perl,
- libhtml-template-perl, libxml-simple-perl
-Standards-Version: 3.9.1
+ libhtml-template-perl, libxml-simple-perl, libclone-perl
+Standards-Version: 3.9.2
 Homepage: http://lemonldap-ng.org/
 
 Package: lemonldap-ng
@@ -84,14 +84,15 @@
  libjs-jquery (>=1.4.2), libjs-jquery-ui, libhtml-template-perl,
  libapache-session-perl, libnet-ldap-perl,
  libxml-libxml-perl, libxml-libxslt-perl, libstring-random-perl,
- libsoap-lite-perl, libcrypt-openssl-x509-perl
+ libsoap-lite-perl, libcrypt-openssl-x509-perl, libclone-perl,
 Pre-Depends: debconf
 Recommends: libmime-lite-perl, libemail-date-format-perl, libconvert-pem-perl,
  libnet-openid-consumer-perl | libnet-openid-server-perl |
  liblasso3-perl (>=2.3.0) | libnet-twitter-perl
 Suggests: slapd, libnet-twitter-perl, libnet-openid-consumer-perl,
  libnet-openid-server-perl, liblasso3-perl (>=2.3.0),
- liblemonldap-ng-handler-perl (= ${binary:Version}), libnet-ldap-perl (>=1:0.38)
+ liblemonldap-ng-handler-perl (= ${binary:Version}), libnet-ldap-perl (>=1:0.38),
+ libauthen-sasl-perl,
 Description: Lemonldap::NG authentication portal part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application Apache servers.

## lemonldap-ng 1.1.2

=== Makefile ===
--- 
+++ 
@@ -310,8 +310,9 @@
 		done; \
 	fi
 	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/$(CONFFILENAME)
-	# Sessions explorer install
+	# Sessions explorer and notifications explorer install
 	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/sessions.pl $(RSESSIONSEXPLORERDIR)
+	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notifications.pl $(RSESSIONSEXPLORERDIR)
 	@rm -rf $$(find ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
 		${RSESSIONSEXPLORERDIR} \
 		$(RCONFDIR) -type d -name .svn)
@@ -337,5 +338,3 @@
 		done; \
 	fi
 	# Cron files
-	@cp --remove-destination lemonldap-ng-portal/example/scripts/purgeCentralCache.cron.d $(RCRONDIR)/lemonldap-ng-portal
-	@if [ ! "$(APACHEUSER)" ]; then \

=== debian/changelog ===
lemonldap-ng (1.1.2-3) unstable; urgency=low

  * Use libjs-jquery-cookie package instead of embeddeding it
  * Upgrade to standard 3.9.3
  * Minify js and css

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 05 Mar 2012 21:53:40 +0100

lemonldap-ng (1.1.2-2) unstable; urgency=low

  * Fix files not purged (Closes: #656458)

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 20 Feb 2012 18:00:09 +0100

lemonldap-ng (1.1.2-1) unstable; urgency=low

  * New upstream release
  * liblemonldap-ng-portal-perl:should depend on libmime-lite-perl
    (Closes: #645217)

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 15 Oct 2011 09:16:53 +0200

lemonldap-ng (1.1.1-2) unstable; urgency=low

  * liblasso3-perl has been renamed to liblasso-perl
  * lemonldap-ng should depend on javascript-common (Closes: #637223)

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 18 Sep 2011 14:14:58 +0200

lemonldap-ng (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 08 Aug 2011 11:31:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libstring-random-perl, libmime-lite-perl, libsoap-lite-perl,
  libconfig-inifiles-perl, libcrypt-openssl-x509-perl, libcrypt-openssl-rsa-perl,
  libhtml-template-perl, libxml-simple-perl, libclone-perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://lemonldap-ng.org/
 
 Package: lemonldap-ng
@@ -39,7 +39,6 @@
 Depends: ${misc:Depends}, libapache-session-perl, libwww-perl,
  liblemonldap-ng-conf-perl (= ${binary:Version}),
  libapache2-mod-perl2, liburi-perl
-Recommends: libdbi-perl
 Suggests: liblemonldap-ng-portal-perl, libsoap-lite-perl
 Description: Lemonldap::NG Apache module part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
@@ -51,7 +50,8 @@
 Package: liblemonldap-ng-conf-perl
 Architecture: all
 Depends: ${misc:Depends}, debconf, libcache-cache-perl, libregexp-assemble-perl,
- libcrypt-rijndael-perl, libconfig-inifiles-perl, libxml-simple-perl
+ libcrypt-rijndael-perl, libconfig-inifiles-perl, libxml-simple-perl,
+ libcrypt-openssl-bignum-perl
 Recommends: libsoap-lite-perl, libdbi-perl
 Description: Lemonldap::NG common files
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
@@ -64,10 +64,10 @@
 Depends: ${misc:Depends},
  liblemonldap-ng-conf-perl (= ${binary:Version}),
  liblemonldap-ng-handler-perl (= ${binary:Version}),
- libjs-jquery (>=1.4.2), libjs-jquery-ui, libhtml-template-perl,
- libxml-libxml-perl, libxml-libxslt-perl,
+ libjs-jquery (>=1.4.2), libjs-jquery-ui, libjs-jquery-cookie,
+ libxml-libxml-perl, libxml-libxslt-perl, libhtml-template-perl,
  libcrypt-openssl-rsa-perl, libcrypt-openssl-x509-perl, libxml-simple-perl,
- libjson-perl
+ libjson-perl, javascript-common
 Pre-Depends: debconf
 Recommends: libapache-session-perl, libsoap-lite-perl,
  lemonldap-ng-doc (= ${binary:Version})
@@ -81,18 +81,19 @@
 Architecture: all
 Depends: ${misc:Depends},
  liblemonldap-ng-conf-perl (= ${binary:Version}),
- libjs-jquery (>=1.4.2), libjs-jquery-ui, libhtml-template-perl,
- libapache-session-perl, libnet-ldap-perl,
+ libjs-jquery (>=1.4.2), libjs-jquery-ui, libjs-jquery-cookie,
+ libapache-session-perl, libnet-ldap-perl, libmime-lite-perl,
  libxml-libxml-perl, libxml-libxslt-perl, libstring-random-perl,
  libsoap-lite-perl, libcrypt-openssl-x509-perl, libclone-perl,
+ libhtml-template-perl, javascript-common
 Pre-Depends: debconf
-Recommends: libmime-lite-perl, libemail-date-format-perl, libconvert-pem-perl,
+Recommends: libemail-date-format-perl, libconvert-pem-perl,
  libnet-openid-consumer-perl | libnet-openid-server-perl |
- liblasso3-perl (>=2.3.0) | libnet-twitter-perl
+ liblasso3-perl (>=2.3.0) | liblasso-perl (>=2.3.0) | libnet-twitter-perl
 Suggests: slapd, libnet-twitter-perl, libnet-openid-consumer-perl,
- libnet-openid-server-perl, liblasso3-perl (>=2.3.0),
+ libnet-openid-server-perl, liblasso3-perl (>=2.3.0) | liblasso-perl (>=2.3.0),
  liblemonldap-ng-handler-perl (= ${binary:Version}), libnet-ldap-perl (>=1:0.38),
- libauthen-sasl-perl,
+ libauthen-sasl-perl
 Description: Lemonldap::NG authentication portal part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application Apache servers.

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,10 @@
 
 
 build: build-stamp
+
+build-indep: build-stamp
+
+build-arch:
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -78,13 +82,18 @@
 	find $(CURDIR)/debian/tmp -type f -name jquery.js -delete
 	rm -f $(CURDIR)/debian/tmp$(LMSHAREDIR)/*-skins/*/jquery.js
 
+	# Now, jquery.cookie.js is provided by libjs-jquery-cookie
+	find $(CURDIR)/debian/tmp -type f -name jquery.cookie.js -delete
+	rm -f $(CURDIR)/debian/tmp$(LMSHAREDIR)/*-skins/*/jquery.cookie.js
+
 	# TODO: uncomment this when Debian jquery-ui version will be upgraded to 1.8.6
 	#find $(CURDIR)/debian/tmp -type f -regex '.*/jquery-ui-[0-9].*\.js' -delete
 	#find $(CURDIR)/debian/tmp -type f -name jquery-ui.js -delete
 	#rm -f $(CURDIR)/debian/tmp$(LMSHAREDIR)/*-skins/*/jquery-ui.js
 	# TODO: restore this in Perl (with final \ )
 	#	s#src=(["'"'"']).*?jquery-ui(-\d[\.\w\-]*?)?.js#src=$$1/javascript/jquery-ui/jquery-ui.min.js#i;'
-	perl -i -pe 's#src=(["'"'"']).*?jquery(-\d[\.\w\-]*?)?.js#src=$$1/javascript/jquery/jquery.min.js#i;' \
+	perl -i -pe 's#src=(["'"'"']).*?jquery(-\d[\.\w\-]*?)?.js#src=$$1/javascript/jquery/jquery.min.js#i; \
+			s#src=(["'"'"']).*?jquery\.cookie\.js#src=$$1/javascript/jquery-cookie/jquery.cookie.min.js#i;' \
 		$$(find $(CURDIR)/debian/tmp/examples/manager/ -name *.pl -type f) \
 		$$(find	$(CURDIR)/debian/tmp$(LMSHAREDIR)/manager-skins/*/ \
 			$(CURDIR)/debian/tmp$(LMSHAREDIR)/portal-skins/*/ -type f -name *.tpl)
